<?php

if(!defined('_CAN_LOAD_FILES_'))
exit;

class ecm_helper extends Module
{
	function __construct()
	{
		$this->name = 'ecm_helper';
		$this->tab = 'front_office_features';
		$this->author = 'Elcommerce';
		$this->version = 0.2;

		parent::__construct();

		$this->displayName = $this->l('Кнопка Help');
		$this->description = $this->l("Добавляет простую кнопку с редактируемыми ссылками и контакными телефонами на сайт");
	}

	function install()
	{
		Configuration::updateValue('_TITLE1_', 'Заголовок_1', TRUE);
		Configuration::updateValue('_TITLE2_', 'Заголовок_2', TRUE);
		Configuration::updateValue('_TITLE3_', 'Заголовок_3', TRUE);
		return (parent::install() AND $this->registerHook('displayHeader'));

	}





	private
	function _settings()
	{
		$this->_html .= '
		<fieldset class="space">
		<legend><img src="../img/admin/cog.gif" alt="" class="middle" />Настройки</legend>

		<label>Заголовок_1</label>
		<div class="margin-form">
		<input type="text" name="title1" placeholder="заголовок..." required value="'.Tools::getValue('title1',Configuration::get('_TITLE1_')).'"/>
		<p class="clear">Заголовок  страницы</p>
		</div>

		<label>Ссылка_1</label>
		<div class="margin-form">
		<input type="text" name="ref1" size="100px" placeholder="ссылка..."  value="'.Tools::getValue('ref1',Configuration::get('_REF1_')).'"/>
		<p class="clear">Cсылка на страницу</p>
		</div>

		<label>Заголовок_2</label>
		<div class="margin-form">
		<input type="text" name="title2" placeholder="заголовок..." required value="'.Tools::getValue('title2',Configuration::get('_TITLE2_')).'"/>
		<p class="clear">Заголовок  страницы</p>
		</div>

		<label>Ссылка_2</label>
		<div class="margin-form">
		<input type="text" size="100px" name="ref2" placeholder="ссылка..."  value="'.Tools::getValue('ref2',Configuration::get('_REF2_')).'"/>
		<p class="clear">Cсылка на страницу</p>
		</div>

		<label>Заголовок_3</label>
		<div class="margin-form">
		<input type="text" name="title3" placeholder="заголовок..." required value="'.Tools::getValue('title3',Configuration::get('_TITLE3_')).'"/>
		<p class="clear">Заголовок  выпадающего блока</p>
		</div>

		<label>'.Configuration::get('_TITLE3_').'</label>
		<div class="margin-form">
		<textarea name="phone" class = "rte_autoload"  placeholder="телефоны..." rows="10" cols="50">'.Tools::getValue('phone',Configuration::get('_PHONE_')).'</textarea>
		<p class="clear">Содержимое выпадающего блока, допускается HTML форматирование</p>
		</div>
		<center><input type="submit" name="submitSETTING" value="Обновить" class="button" /></center>
		</fieldset>
		';
		}

	function hookdisplayHeader($params)
	{
		global $smarty,$cookie;



		$this->context->controller->addJS($this->_path.'js/helper.js');
		$this->context->controller->addCSS($this->_path.'css/style.css');
		$smarty->assign('title1', Configuration::get('_TITLE1_'));
		$smarty->assign('title2', Configuration::get('_TITLE2_'));
		$smarty->assign('title3', Configuration::get('_TITLE3_'));
		$smarty->assign('ref1', Configuration::get('_REF1_'));
		$smarty->assign('ref2', Configuration::get('_REF2_'));
		$smarty->assign('phone', Configuration::get('_PHONE_'));
		return $this->display(__FILE__, 'helper.tpl');
	}
	private
	function _displayabout()
	{

		$this->_html .= '
		<fieldset class="space">
		<legend><img src="../img/admin/email.gif" /> ' . $this->l('Информация') . '</legend>
		<div id="dev_div">
		<span><b>' . $this->l('Версия') . ':</b> ' . $this->version . '</span><br>
		<span><b>' . $this->l('Разработчик') . ':</b> <a class="link" href="mailto:A_Dovbenko@mail.ru" target="_blank">Savvato</a>

		<span><b>' . $this->l('Описание') . ':</b> <a class="link" href="http://elcommerce.com.ua" target="_blank">http://elcommerce.com.ua</a><br><br>
		<p style="text-align:center"><a href="http://elcommerce.com.ua/"><img src="http://elcommerce.com.ua/img/m/logo.png" alt="Электронный учет коммерческой деятельности" /></a>



		</div>
		</fieldset>
		';
	}
	function getContent()
	{
		global $smarty,$title1,$title2,$ref1,$ref2,$phone,$cookie;
		if(Tools::isSubmit('submitSETTING') )
		{


			if($ref1 = Tools::getValue('ref1')){
				Configuration::updateValue('_REF1_', $ref1);
			}
			if($ref2 = Tools::getValue('ref2')){
				Configuration::updateValue('_REF2_', $ref2);
			}
			if($title1 = Tools::getValue('title1')){
				Configuration::updateValue('_TITLE1_', $title1, TRUE);
			}
			if($title2 = Tools::getValue('title2')){
				Configuration::updateValue('_TITLE2_', $title2, TRUE);
			}
			if($title3 = Tools::getValue('title3')){
				Configuration::updateValue('_TITLE3_', $title3, TRUE);
			}
			if($phone = Tools::getValue('phone')){
				Configuration::updateValue('_PHONE_', $phone, TRUE);
			}


			//d(_PS_ROOT_DIR_.'js/tiny_mce/tiny_mce.js');
			$this->_html = '
			<div class="bootstrap">
			<div class="alert alert-success">
			<button type="button" class="close" data-dismiss="alert">×</button>
			Настройки успешно обновлены
			</div>
			</div>
			';
		}
		$this->_html = '<form action="'.$_SERVER['REQUEST_URI'].'" method="post">';
		$this->_settings();
		$this->_displayabout();
		$this->_html .= '</form>';

		return $this->_html;
	}
}

?>
